=== build/debian/changelog ===
dolibarr (3.6.0-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Tue, 15 July 2014 12:00:00 +0100      

dolibarr (3.5.5-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Tue, 8 July 2014 12:00:00 +0100     

dolibarr (3.5.4-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Tue, 1 July 2014 12:00:00 +0100     

dolibarr (3.5.3-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Fri, 2 May 2014 12:00:00 +0100     

dolibarr (3.5.2-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Fri, 14 March 2014 12:00:00 +0100     

dolibarr (3.5.1-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Fri, 7 Feb 2014 12:00:00 +0100     

dolibarr (3.5.0-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * New upstream release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Fri, 31 Jan 2014 12:00:00 +0100     

dolibarr (3.4.2-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * Maintenance release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Mon, 30 Dec 2013 12:00:00 +0100     

dolibarr (3.4.1-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * Maintenance release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Mon, 27 Apr 2013 12:00:00 +0100     

dolibarr (3.4.0-3) unstable; urgency=low

  [ Laurent Destailleur (eldy) ]
  * Maintenance release.
    
 -- Laurent Destailleur (eldy) <eldy@users.sourceforge.net>  Mon, 22 Apr 2013 12:00:00 +0100
