=== build/debian/control ===
Source: dolibarr
Section: web
Priority: optional
Maintainer: Laurent Destailleur (eldy) <eldy@users.sourceforge.net>
# Uploaders: Laurent Destailleur (eldy) <eldy@users.sourceforge.net>		# Only if differs from Maintainer
Standards-Version: 3.9.4
Homepage: http://www.dolibarr.org
Build-Depends: debhelper (>= 9), po-debconf
# This package need at least debian 7 or ubuntu 13.04 or any distribution based on this version
 
Package: dolibarr
Architecture: all
Depends: libapache2-mod-php5 | libapache2-mod-php5filter | php5-cgi | php5-fpm | php5,
    php5-cli, 
# Required PHP extensions
    php5-mysql | php5-mysqli, php5-curl, php5-gd, php5-ldap, php5-geoip,
# Required PHP libraries
    php-pear, php-mail-mime, 
#    php-tcpdf, libfpdi-php, libfpdf-tpl-php, php-fpdf,
#    libphp-adodb,
#    libnusoap-php,
#    libphp-pclzip,
# Required javascript libraries
#    libjs-jquery, libjs-jquery-ui, libjs-flot, ckeditor,
# Misc dependencies
#    fonts-dejavu-core | ttf-dejavu-core,
    xdg-utils,
    mysql-server,
    ${misc:Depends},
    ${perl:Depends}
Recommends: mysql-client, apache2 | lighttpd | httpd
Suggests: www-browser
Description: Web based software to manage a company or foundation
 Dolibarr ERP & CRM is an easy to use open source/free software for small 
 and medium companies, foundations or freelances. It includes different 
 features for Enterprise Resource Planning (ERP) and Customer Relationship
 Management (CRM) but also for different other activities.
 .
 It's a web software you can install as a standalone program or on any web
 hosting provider to use it from anywhere with any web browser.
 .
 Dolibarr was designed to be easy to use. Only the features that you need 
 are visible, depending on which modules were activated.
 .
 This is an example of most common used modules:
 .
 Customers, Suppliers or Prospects directory,
 Contacts directory,
 Orders management,
 Commercial proposals management,
 Invoices management,
 Products and services catalog,
 Stock management,
 Foundations members management,
 Bank accounts management,
 Point of Sale,
 Payments management,
 Commercial actions management,
 Contracts management,
 Standing orders management,
 Shipping management,
 Donations management,
 Bookmarks management,
 Mass Emailings,
 Reports,
 Wizards to export and import data,
 LDAP connectivity,
 PDF exports,
 And a lot more modules...
 .
 You can also add third parties external modules or develop yours.
